Class | Chef::Provider::Service::Init
In: | lib/chef/provider/service/init.rb
Parent: | Chef::Provider::Service::Simple

### Methods

define_resource_requirements new reload_service restart_service start_service stop_service

### Included Modules

Chef::Mixin::ShellOut

### Public Class methods

new(new_resource, run_context)

### Public Instance methods

define_resource_requirements()
reload_service()
restart_service()
start_service()
stop_service()

[Validate]